/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("net.jazz.ajax.ui.internal.UnsupportedBrowserContent");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("dijit.form.Button");

dojo.require("net.jazz.ajax.toolbox.lang.internal.Lang");

(function() {
	
var checkNotNull 	= net.jazz.ajax.toolbox.lang.checkNotNull;
 
dojo.declare("net.jazz.ajax.ui.internal.UnsupportedBrowserContent", [dijit._Widget, dijit._Templated], {
		
	templatePath: dojo.moduleUrl("net.jazz.ajax", "ui/internal/templates/UnsupportedBrowserContent.html"),
	
	postCreate: function() {
		net.jazz.ajax.ui.internal.UnsupportedBrowserContent.superclass.postCreate.apply(this);
		// attach points
		checkNotNull(this.closeButton, "this.closeButton");
		checkNotNull(this.checkbox, "this.checkbox");
		
		var button = new dijit.form.Button({type: "submit", label: "Close"}, this.closeButton);
		this.connect(button, "onClick", function(e) {
			if(!this.checkbox.checked) {
				this.setNoPromptCookie();
			}
			this.dialogWidget.close();
			this.dialogWidget = null;
		});
	},
	setNoPromptCookie: function () {
		document.cookie = "showUnsupportedBrowserPrompt=false; max-age=" + (60*60*24*365);
	}
});

})();